/**
 * This file has customizations for the HTML components in the courseUnitDetails3.html page
 */

/**
 * Globals
 */
::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background: #23588D !important;
}
::-webkit-scrollbar-track {
    border-radius: 10px;
    background: #00000033 !important;
}

.btn-primary {
    color: #fff;
    background-color: rgb(63, 123, 184);
    border-color: #23588D;
}
.btn-primary:hover {
    color: #fff;
    background-color: rgb(63, 123, 184);
    border-color: #23588D;
}
small .under-development {
    display: inline-block;
}

/**
 * Header
 */
.component-header-top-2 .navbar-collapse .nav-item.active.text a {
    color: rgb(63, 123, 184);
}
.component-header-top-2 .navbar-collapse .nav-item.text a.hovered {
    color: #23588D;
}

/**
 * Main container
 */ 
.cmc-container {
    top: 80px;
    padding-top: 30px;
    padding-bottom:200px;
}

.page-container {
    min-height: calc(var(--vh, 1vh) * 90);
}

@media(max-width:767px) {
 
    .cmc-container {
        padding-top: 40px;
    }
 
}

/**
 * Sidebar
 */
#componentSidebarCud3 .filter {
    visibility: hidden;
}
#componentSidebarCud3 .sidebar-main-items p {
    color: rgb(63, 123, 184);
}
#componentSidebarCud3 .sidebar-main-items p:hover {
    color: #ffffff;
}

/**
 * Content Expander
 */
.content-expander .cex-header {
    background-color: rgb(63, 123, 184);
    border: 1px solid #23588D;
}

.sit-label {
    width: 230px;
    word-break: break-word;
}

@media(max-width:991px) {
 
    #cex2Cud3.content-expander .cex-body {
        top: -40px;
        margin-bottom: -20px;
    }
    
    .sit-label {
        width: 100%;
        max-width: 100%;
    }

}

/**
 * Content Selector
 */
.contents.shelf .content-object .description .title span {
    color: #3f7bb8;
}
.contents.shelf .content-object .toolbar {
    background-color: #3f7bb8;
}
.contents.footer {
    background-color: #3f7bb8;
    border: 1px solid #2f6aa5;
}

/**
 * Video Selector
 */
.vo.video-source {
    background-color: rgb(63, 123, 184);
    border: 1px solid #23588D;
}
.vo.video-source div {
    background-color: rgb(63, 123, 184);
    border: 1px dashed #f0f0f0;
}
.vs.footer {
    background-color: rgb(63, 123, 184);
    border: 1px solid #23588D;
}

/**
 * Questions
 */
.question .heading-3 b {
    display:none;
}
.question .header {
   background-color: rgb(63, 123, 184);
   border: 1px solid #23588D;
}
.question .header .enunciate p {
   color: #fafafa;
}
.question.tf .header .selector-label span.left, 
.question.tf .header .selector-label b,
.question.tf .header .selector-label span.right, 
.question.tf .body .alternative .selector .left, 
.question.tf .body .alternative .selector .right {
    color: #ffffff;
}
.question .question-status-container{
    color: rgb(63, 123, 184);
}

/**
 * Summary
 */
.download-imgs {
    max-height: 500px;
}
.download-imgs img {
    height: 100%;
    width: auto;
    margin:0px;
}

/**
 * Simple Message Modal Displayer
 */
.modal-dialog.video .modal-content .modal-body p {
    color: rgb(63, 123, 184);
}

/**
 * Problem Situation - Comics
 */
#problemSituationContainerCud3 {
    overflow: hidden;
}
.problem-situation-video-container {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    height: auto;
    padding: 15px;
    background-color: #fefefe;
    border: 1px solid #f0f0f0;
    border-radius: 3px;
}
.problem-situation-video-header {
    display: block;
    position: relative;
    left: 0;
    top: 0;
    width: 100%;
    height: auto;
    padding-left: 30px;
    padding-right: 30px;
}
.problem-situation-video-header h3 {
    font-weight: 600;
    font-size: 1.1em;
}
.problem-situation-video-header small {
    margin-top: 10px;
    color: #666;
    font-size: 14px;
}
.problem-situation-video {
    display: block;
    position: relative;
    width: 90%;
    max-width: 850px;
    height: auto;
    margin: auto;
    margin-top: 20px;
    margin-bottom: 20px;
}

@media(max-width: 767px) {

    .problem-situation-video-container {
        padding: 0px;
    }
    .problem-situation-video {
        width: 100%;
        margin-bottom: 0px;
    }

}

/**
 * Complementary Materials
 */
#cex5Cud3 .cex-body,
#cex6Cud3 .cex-body,
#cex7Cud3 .cex-body,
#cex8Cud3 .cex-body {
    max-height: 850px;
}
#cex5Cud3 .cex-body,
#cex6Cud3 .cex-body
#cex8Cud3 .cex-body {
    overflow-x: hidden;
    overflow-y: auto;
}
#cex7Cud3 .cex-body {
    overflow: hidden;
}
#cex3Cud3 .content-selector,
#cex5Cud3 .content-selector,
#cex6Cud3 .content-selector,
#cex7Cud3 .video-selector,
#cex8Cud3 .content-selector {
    width: 98%;
    margin-right: 1%;
    margin-left: 1%;
}
.contents.shelf .contents-object-title span {
    font-weight: 500;
    color: rgb(63, 123, 184);
}

/**
 * Evaluation
 */

/**
 * Paginator
 */
 @keyframes uncolorize-prev-next-btns {
    from {
        background-color:rgb(63, 123, 184);
        border:1px solid #23588D;
        color: #f0f0f0;
    }
    to {
        background-color:#ffffff;
        border:1px solid #e6e6e6;
        color: #23588D;
    }
}
@-moz-keyframes uncolorize-prev-next-btns {
    from {
        background-color:rgb(63, 123, 184);
        border:1px solid #23588D;
        color: #f0f0f0;
    }
    to {
        background-color:#ffffff;
        border:1px solid #e6e6e6;
        color: #23588D;
    }
}
@-webkit-keyframes uncolorize-prev-next-btns {
    from {
        background-color:rgb(63, 123, 184);
        border:1px solid #23588D;
        color: #f0f0f0;
    }
    to {
        background-color:#ffffff;
        border:1px solid #e6e6e6;
        color: #23588D;
    }
}
 
@keyframes colorize-prev-next-btns {
    from {
        background-color:#ffffff;
        border:1px solid rgb(63, 123, 184);
        color: #23588D;
    }
    to {
        background-color:rgb(63, 123, 184);
        border:1px solid #23588D;
        color: #f0f0f0;
    }
}
@-moz-keyframes colorize-prev-next-btns {
    from {
        background-color:#ffffff;
        border:1px solid rgb(63, 123, 184);
        color: #23588D;
    }
    to {
        background-color:rgb(63, 123, 184);
        border:1px solid #23588D;
        color: #f0f0f0;
    }
}
@-webkit-keyframes colorize-prev-next-btns {
    from {
        background-color:#ffffff;
        border:1px solid rgb(63, 123, 184);
        color: #23588D;
    }
    to {
        background-color:rgb(63, 123, 184);
        border:1px solid #23588D;
        color: #f0f0f0;
    }
}
 
@keyframes scale-idx-down-selected {
    from {
        color: #fefefe;
        background-color: rgb(63, 123, 184);
        border-color: #e6e6e6;
        font-size: 23px;
    }
    to {
        color: #ffffff;
        background-color: rgb(63, 123, 184);
        border-color: #23588D;
        font-size: 19px;
    }
}
@-moz-keyframes scale-idx-down-selected {
    from {
        color: #fefefe;
        background-color: rgb(63, 123, 184);
        border-color: #e6e6e6;
        font-size: 23px;
    }
    to {
        color: #ffffff;
        background-color: rgb(63, 123, 184);
        border-color: #23588D;
        font-size: 19px;
    }
}
@-webkit-keyframes scale-idx-down-selected {
    from {
        color: #fefefe;
        background-color: rgb(63, 123, 184);
        border-color: #e6e6e6;
        font-size: 23px;
    }
    to {
        color: #ffffff;
        background-color: rgb(63, 123, 184);
        border-color: #23588D;
        font-size: 19px;
    }
}
 
@keyframes scale-idx-up-selected {
    from {
        color: #ffffff;
        background-color: rgb(63, 123, 184);
        font-size: 19px;
    }
    to {
        color: #fefefe;
        background-color: rgb(63, 123, 184);
        border-color:#23588D;
        font-size: 23px;
    }
}
@-moz-keyframes scale-idx-up-selected {
    from {
        color: #ffffff;
        background-color: rgb(63, 123, 184);
        font-size: 19px;
    }
    to {
        color: #fefefe;
        background-color: rgb(63, 123, 184);
        border-color:#23588D;
        font-size: 23px;
    }
}
@-webkit-keyframes scale-idx-up-selected {
    from {
        color: #ffffff;
        background-color: rgb(63, 123, 184);
        font-size: 19px;
    }
    to {
        color: #fefefe;
        background-color: rgb(63, 123, 184);
        border-color:#23588D;
        font-size: 23px;
    }
}
 
@keyframes scale-idx-down {
    from {
        color: rgb(63, 123, 184);
        font-size: 21px;
    }
    to {
        color: #23588D;
        font-size: 16px;
    }
}
@-moz-keyframes scale-idx-down {
    from {
        color: rgb(63, 123, 184);
        font-size: 21px;
    }
    to {
        color: #23588D;
        font-size: 16px;
    }
}
@-webkit-keyframes scale-idx-down {
    from {
        color: rgb(63, 123, 184);
        font-size: 21px;
    }
    to {
        color: #23588D;
        font-size: 16px;
    }
}
 
@keyframes scale-idx-up {
    from {
        color: rgb(63, 123, 184);
        font-size: 16px;
    }
    to {
        color: #23588D;
        font-size: 21px;
    }
}
@-moz-keyframes scale-idx-up {
    from {
        color: rgb(63, 123, 184);
        font-size: 16px;
    }
    to {
        color: #23588D;
        font-size: 21px;
    }
}
@-webkit-keyframes scale-idx-up {
    from {
        color: rgb(63, 123, 184);
        font-size: 16px;
    }
    to {
        color: #23588D;
        font-size: 21px;
    }
}